<?
/* Любые самостоятельные скрипты, модули для cms , готовые сайты под ключ, разработка браузерных игр по вашему тех.заданию, оптимизация(seo), безопасность ресурса на wap фриланс Копеек.нет -> http://koneek.net © Кредитор, icq 441460, e-mail kpegumop@yandex.ru */

include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
$temp_set=$set;
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/adm_check.php';
include_once '../../sys/inc/user.php';

$set['title']='Магазин недвижимости';
error_reporting (0);
include_once '../../sys/inc/thead.php';
title();
//header("Content-type: application/vnd.wap.xhtml+xml");
header("Content-type: text/html");


If (!isset($_GET['p']) || !ereg("^[a-z0-9_-]{1,15}$",$_GET['p'])) $p=false; else $p=$_GET['p'];
switch ($p){


default:
echo "<div class=\"menu_razd\">Админка Магазина Недвижимости</div>";
echo "<b>Разделы:</b><br/>";
echo "<a href=\"adm_k_reeltor.php?p=house\">√ Дома</a><br/>\n";
echo "* Любые здания<br/>\n";
echo "<a href=\"adm_k_reeltor.php?p=court\">√ Двор</a><br/>\n";
echo "* то что перед домом, тропинка например, часть земли и т.д.<br/>\n";
echo "<a href=\"adm_k_reeltor.php?p=shed\">√ Сарай</a><br/>\n";
echo "* любое подробное помещение...<br/>\n";
echo "<a href=\"adm_k_reeltor.php?p=fence\">√ Забор</a><br/>\n";
echo "* Забор , ограда...<br/>\n";
echo "<a href=\"adm_k_reeltor.php?p=door\">√ Калитка(вход)</a><br/>\n";
echo "* Не сама дверь, а то что перед калиткой, может кусок земли, тропинка...<br/>\n";
echo "<a href=\"adm_k_reeltor.php?p=akses\">√ Будка</a><br/>\n";
echo "* !! На странице будет выводиться под участком с сараем...<br/>\n";
echo "<a href=\"adm_k_reeltor.php?p=akses_two\">√ Клумба</a><br/>\n";
echo "* !! На странице будет выводиться под участком, сараем и будкой...<br/>\n";
echo "<a href=\"adm_k_reeltor.php?p=akses_three\">√ Клумба</a><br/>\n";
echo "* !! На странице будет выводиться под участком, сараем и будкой...<br/>\n";


echo "<div class=\"menu_razd\">« Добавить часть участка »</div>";
echo '<form action="adm_k_reeltor.php?p=add" method="post" name="form" enctype="multipart/form-data">';
echo 'Картинка :<br/>';
echo '<input name="ava" type="file" value=""/><br/>';
echo 'Название :<br/>';
echo '<input name="name" type="text" value=""/><br/>';
echo 'Описание :<br/>';
echo '<input name="opis" type="text" value=""/><br/>';

echo 'Раздел :<br />';

echo "<select name='type'>\n";
echo "<option value='house' ".($type==house?'selected="selected"':null).">Дома</option>\n";
echo "<option value='court' ".($type==court?'selected="selected"':null).">Участки</option>\n";
echo "<option value='shed' ".($type==shed?'selected="selected"':null).">Сараи</option>\n";
echo "<option value='fence' ".($type==fence?'selected="selected"':null).">Забор</option>\n";
echo "<option value='door' ".($type==door?'selected="selected"':null).">Калитка(вход)</option>\n";
echo "<option value='akses' ".($type==akses?'selected="selected"':null).">Будка</option>\n";
echo "<option value='akses_two' ".($type==akses_two?'selected="selected"':null).">Клумба№1</option>\n";
echo "<option value='akses_three' ".($type==akses_three?'selected="selected"':null).">Клумба№2</option>\n";
echo "</select><br />\n";


echo '* ↓ Цифрами<br/>';
echo 'Шикарность<br/>';
echo '<input name="shik" type="text" value=""/><br/>';
echo 'Деловитость<br/>';
echo '<input name="del" type="text" value=""/><br/>';
echo 'Гламурность<br/>';
echo '<input name="glam" type="text" value=""/><br/>';
echo 'Цена (деньги фермы)<br/>';
echo '<input name="cena" type="text" value=""/><br/>';
echo '<input type="submit" value="Добавить"/>';
echo '</form>';
break;


case 'add':

$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
$opis=htmlspecialchars(mysql_real_escape_string(trim($_POST['opis'])));
$type=htmlspecialchars(mysql_real_escape_string(trim($_POST['type'])));
$shik=(int)$_POST['shik'];
$del=(int)$_POST['del'];
$glam=(int)$_POST['glam'];
$cena=(int)$_POST['cena'];
if(!$name || !$type || !$cena){
echo 'Пустые параметры!';

break;
};

if($_FILES['ava']['error']>0){
echo 'Ошибка при загрузке файла!';
break;};

if($_FILES['ava']['size']>(1024*1024)){
echo 'Слишком большое разрешение файла! Рекомендуемый размер картинки 128х128';
break;
};

$info=@getimagesize($_FILES['ava']['tmp_name']);

if(!preg_match('{image/(.*)}is',$info['mime'],$p)){
echo 'Попытка загрузки запрещенного файла!';
break;
};

$fname=time().'.'.$p[1];
$tmp=$_FILES['ava']['tmp_name'];
move_uploaded_file($tmp,'../../ferm/imghouse/'.$fname);
mysql_query("INSERT INTO `k_reeltor` (`path`,`name`,`opis`,`type`,`shik`,`del`,`glam`,`cena`)VALUES('$fname','$name','$opis','$type','$shik','$del','$glam','$cena')");
echo 'Часть участка успешно добавлена!<br/>';
break;

/*Редактирование*/

case 'edit':

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `id`='$id' ");
if(!mysql_num_rows($x)){
echo 'Такой части участка не существует!';
break;
};

if($row=mysql_fetch_assoc($x)){
echo '<form action="adm_k_reeltor.php?p=edits&id='.$row['id'].'" method="post" name="form" enctype="multipart/form-data">';
echo '<a href="adm_k_reeltor.php?p=load&amp;id='.$row['id'].'">Изменить Картинку</a><br/>';
echo 'Название:<br/>';
echo '<input name="name" type="text" value="'.$row['name'].'"/><br/>';
echo 'Описание:<br/>';
echo '<input name="opis" type="text" value="'.$row['opis'].'"/><br/>';


echo 'Раздел :<br />';

echo "<select name='type'>\n";
echo "<option value='house' ".($type==house?'selected="selected"':null).">Дома</option>\n";
echo "<option value='court' ".($type==court?'selected="selected"':null).">Участки</option>\n";
echo "<option value='shed' ".($type==shed?'selected="selected"':null).">Сараи</option>\n";
echo "<option value='fence' ".($type==fence?'selected="selected"':null).">Заборы</option>\n";
echo "<option value='door' ".($type==door?'selected="selected"':null).">Калитки(вход)</option>\n";
echo "<option value='akses' ".($type==akses?'selected="selected"':null).">Будки</option>\n";
echo "<option value='akses_two' ".($type==akses_two?'selected="selected"':null).">Клумбы№1</option>\n";
echo "<option value='akses_three' ".($type==akses_three?'selected="selected"':null).">Клумбы№2</option>\n";
echo "</select><br />\n";

echo 'Шикарность<br/>';
echo '<input name="shik" type="text" value="'.$row['shik'].'"/><br/>';
echo 'Деловитость<br/>';
echo '<input name="del" type="text" value="'.$row['del'].'"/><br/>';
echo 'Гламурность<br/>';
echo '<input name="glam" type="text" value="'.$row['glam'].'"/><br/>';
echo 'Цена (деньги фермы)<br/>';
echo '<input name="cena" type="text" value="'.$row['cena'].'"/><br/>';
echo '<input type="submit" value="Сохранить"/>';
echo '</form>';
};
break;


case 'edits':

$id=(int)$_GET['id'];
$name=htmlspecialchars(mysql_real_escape_string(trim($_POST['name'])));
$opis=htmlspecialchars(mysql_real_escape_string(trim($_POST['opis'])));
$type=htmlspecialchars(mysql_real_escape_string(trim($_POST['type'])));
$shik=(int)$_POST['shik'];
$del=(int)$_POST['del'];
$glam=(int)$_POST['glam'];
$cena=(int)$_POST['cena'];

if(!$name || !$type || !$cena){
echo 'Пустые параметры!';
break;
};

mysql_query("UPDATE `k_reeltor` SET `name` = '$name' , `opis` = '$opis' , `type` = '$type' , `shik` = '$shik' , `del` = '$del' , `glam` = '$glam' , `cena` = '$cena' WHERE `id` = '$id' LIMIT 1");
echo 'Часть участка успешно отредактировано!<br/>';

break;

/*Раздел Дома*/

case 'house':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='house'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){
echo 'Дома отсутствуют';
break;};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='house' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="/ferm/imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_reeltor.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_reeltor.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_reeltor.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};
if ($k_page>1)str('?p=house&',$k_page,$page); // Вывод страниц

break;

/*Раздел Участки*/

case 'court':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='court'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){
echo 'Участки отсутствуют';

break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='court' ORDER BY `name` ASC LIMIT $start, $onpage");
while($row=mysql_fetch_assoc($x)){
echo'<img src="/ferm/imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_reeltor.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_reeltor.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_reeltor.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=court&',$k_page,$page); // Вывод страниц

break;

/*Раздел Сараи*/

case 'shed':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='shed'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){
echo 'Сараи отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='shed' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="/ferm/imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_reeltor.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_reeltor.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_reeltor.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=shed&',$k_page,$page); // Вывод страниц

break;

/*Раздел Заборы*/

case 'fence':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='fence'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){
echo 'Заборы отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='fence' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="/ferm/imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_reeltor.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_reeltor.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_reeltor.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=fence&',$k_page,$page); // Вывод страниц

break;

/*Раздел Калитка(вход)*/

case 'door':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='door'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;

if($k_post==0){
echo 'Участок перед забором отсутствует';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='door' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="/ferm/imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_reeltor.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_reeltor.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_reeltor.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=door&',$k_page,$page); // Вывод страниц

break;

/*Раздел Будки*/

case 'akses':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='akses'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){
echo 'Будки отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='akses' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="/ferm/imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_reeltor.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_reeltor.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_reeltor.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=akses&',$k_page,$page); // Вывод страниц

break;


case 'akses_two':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='akses_two'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){
echo 'Клумбы№1 отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='akses_two' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="/ferm/imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_reeltor.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_reeltor.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_reeltor.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=akses_two&',$k_page,$page); // Вывод страниц

break;


case 'akses_three':

$k_post=mysql_result(mysql_query("SELECT count(*) FROM `k_reeltor` WHERE `type`='akses_three'"),0);
$onpage=10;
$k_page=k_page($k_post,$onpage);
$page=page($k_page);
$start=$onpage*$page-$onpage;
if($k_post==0){
echo 'Клумбы№2 отсутствуют';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `type`='akses_three' ORDER BY `name` ASC LIMIT $start, $onpage");

while($row=mysql_fetch_assoc($x)){
echo'<img src="/ferm/imghouse/'.$row['path'].'" align="left" width="18" height="18" alt="x"/>&nbsp;<a href="adm_k_reeltor.php?p=info&amp;id='.$row['id'].'">'.$row['name'].'</a><br /> ';
echo '<a href="adm_k_reeltor.php?p=del&amp;id='.$row['id'].'">[<font color="red">x</font>]</a>';
echo '<a href="adm_k_reeltor.php?p=edit&amp;id='.$row['id'].'">[ред]</a>';
echo '<a href="adm_k_reeltor.php?p=load&amp;id='.$row['id'].'">[зам]</a><br/>';
};

if ($k_page>1)str('?p=akses_three&',$k_page,$page); // Вывод страниц

break;


/*Удаление*/

case 'del':

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};
mysql_query("DELETE FROM `k_reeltor` WHERE `id`='$id'");
echo 'Часть участка успешно удалена!<br/>';

break;

/*Показываем в наличии*/

case 'info':

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `id`='$id' ");
if(!mysql_num_rows($x)){
echo 'Такой части участка не существует!';
break;
};
while($row=mysql_fetch_assoc($x)){

echo '<img src="/ferm/imghouse/'.$row['path'].'" alt=""/><br />';

echo '<b>Название:</b> <br />'.$row['name'].'<br />';

echo '<b>Описание:</b> <br />'.$row['opis'].'<br />';

echo '<b>Шикарность:</b> <font color=\'green\'>'.$row['shik'].'</font><br />';

echo '<b>Деловитость:</b> <font color=\'green\'>'.$row['del'].'</font><br />';

echo '<b>Гламурность:</b> <font color=\'green\'>'.$row['glam'].'</font><br />';

echo '<b>Цена:</b> <font color=\'red\'>'.$row['cena'].'</font> денег фермы<br />';
};
break;

/*Грузим картинку*/

case 'load':

$id=(int)$_GET['id'];
echo '<form action="adm_k_reeltor.php?p=loads&amp;id='.$id.'" method="post" name="form" enctype="multipart/form-data">';
echo 'Картинка:<br/>';
echo '<input name="ava" type="file" value="'.$row['path'].'"/><br/>';
echo '<input type="submit" value="Сохранить"/>';
echo '</form>';
break;

/*Меняем картинку на другую*/

case 'loads':

$id=(int)$_GET['id'];
if(!$id){
echo 'Пустые параметры!';
break;
};

$x=mysql_query("SELECT * FROM `k_reeltor` WHERE `id`='$id' ");
if(!mysql_num_rows($x)){
echo 'Такой части участка не существует!';
break;
};
if($row=mysql_fetch_assoc($x)){
if($_FILES['ava']['error']>0){
echo 'Ошибка при выгрузке файла!';
break;
};
if($_FILES['ava']['size']>(128*128)){
echo 'Слишком большое разрешение файла! Рекомендуемый размер картинки 128х128';
break;
};
$info=@getimagesize($_FILES['ava']['tmp_name']);
if(!preg_match('{image/(.*)}is',$info['mime'],$p)){
echo 'Попытка выгрузки запрещенного файла!';
break;
};
$fname=time().'.'.$p[1];
$tmp=$_FILES['ava']['tmp_name'];
move_uploaded_file($tmp,'../../ferm/imghouse/'.$fname);
mysql_query("UPDATE `k_reeltor` SET `path` = '$fname' WHERE `id` = '$id' LIMIT 1");
echo 'Картинка отредактирована!<br/>';
};
break;


};

echo'<div class=\'foot\'>«<a href="adm_k_reeltor.php">Вернуться</a><br />«<a href="reeltor.php">В Магазин Недвижимости</a><br />«<a href="../../adm_panel/index.php">В Админку Сайта</a></div>';

include_once '../../sys/inc/tfoot.php';
?>
